import os


def get_project_path() -> str:
    """
    获取 AutoScraperX 项目根路径
    支持从任何子模块中调用而不会路径错乱
    """
    return os.path.dirname(os.path.abspath(__file__)).split("AutoScraperX")[0] + "AutoScraperX"


# 项目根目录
project_root = get_project_path()

# 配置路径
config_dir = os.path.join(project_root, "config")
config_spiders_path = os.path.join(config_dir, "spiders_config.yaml")

# 日志路径
log_dir = os.path.join(project_root, "logs")


# 数据库配置路径（可选）
# db_config_path = os.path.join(config_dir, "db.yaml")

__all__ = [
    "project_root",
    "config_dir",
    "config_spiders_path",
    "log_dir",
]
